Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08276 DIP/Input Typo Always Mar 29, 2022, 01:26 Apr 3, 2022, 06:02
Tester Augusto View Status Public Platform SDLMAME
Assigned To Augusto Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver ddragon.cpp
Version 0.241 Fixed in Version 0.243 Build 64-bit
Fixed in Git Commit ceb0984 Github Pull Request # #9497
Summary 08276: ddragon2, ddragon2j: Dip switch wrong naming
Description MAME dip switch Timer is about the time in each mission stage.
MAME settings are 60, 65, 70 and 80.
Thus is how if the timer value is for each mission, but is wrong because only mission 1 and 2 are the value used in MAME dip switch.
If you select time 80
Mission 1 is 80
Mission 2 is 80
Mission 3 is 95
Mission 3 intermission is 45
Mission 4 95

In the ddragon2u PCB manual the dip switch time value are named slow, normal, fast and very fast.
Thus being selecting time "slow" is exactly the time maximum value for each mission.
The PCB manual naming is the correct.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems ddragon2, ddragon2j
Attached Files
png file icon 1.png (457,169 bytes) Mar 29, 2022, 01:26 Uploaded by Augusto
Augusto
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.19978
Steve Coomber
Tester
Apr 1, 2022, 08:23
Another good find. I have submitted a small fix for this.